export interface IDataMemberAccessor {
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class PropertyDataMemberAccessor implements IDataMemberAccessor {
    propertyName: string;
    constructor(propertyName: string);
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class ArrayItemDataMemberAccessor implements IDataMemberAccessor {
    index: number;
    constructor(index: number);
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class ArrayFirstDataMemberAccessor implements IDataMemberAccessor {
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class ArrayLastDataMemberAccessor implements IDataMemberAccessor {
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class ArrayAddDataMemberAccessor implements IDataMemberAccessor {
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
export declare class ArrayAddFirstDataMemberAccessor implements IDataMemberAccessor {
    get(fromValue: object): any;
    set(onValue: any, value: any): void;
}
